| Home | Libraries | People | FAQ | More

##### basic_static_string::find_first_of (1 of 5 overloads)

Find the first occurrence of any of the characters within the string.

###### Synopsis

    template<
        typename T>
    size_type
    find_first_of(
        const T& t,
        size_type pos = 0) const;

###### Description

Constructs a temporary `string_view_type` object `sv` from `t`, and finds the first occurrence of any of the characters in `sv` within the string starting at the index `pos`.

###### Complexity

Linear.

###### Template Parameters

Type | Description
--- | ---
`T` | The type of the object to convert.

###### Constraints

`std::is_convertible<const T&, string_view>::value && !stdis_convertible<const T&, const CharT*>::value && !stdis_convertible<const T&, const basic_static_string&>::value`.

###### Return Value

The index corrosponding to the first occurrence of any of the characters in `{sv.begin(), sv.end())` within `{begin() + pos, end())` if it exists, and `npos` otherwise.

###### Parameters

Name | Description
--- | ---
`t` | The characters to search for.
`pos` | The index to start searching at. The default argument for this parameter is `0`.